| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Enumerations | Functions
command_line.hpp File Reference
Command-line

contains routing in charge of the command-line and included files parsing More...

`#include "../my_config.h"`
`#include <string>`
`#include <vector>`
`#include "infinint.hpp"`
`#include "compressor.hpp"`
`#include "mask.hpp"`
`#include "path.hpp"`
`#include "catalogue.hpp"`
`#include "archive.hpp"`
`#include "criterium.hpp"`
`#include "shell_interaction.hpp"`

Go to the source code of this file.

## Enumerations
enum | operation { noop, extract, create, diff, test, listing, isolate, merging, version_or_help }
enum | dirty_behavior { dirtyb_ignore, dirtyb_warn, dirtyb_ok }

## Functions
bool | get_args (shell_interaction &dialog, const char *home, const vector< string > &dar_dcf_path, const vector< string > &dar_duc_path, S_I argc, char *const argv[], line_param &param)
| main routine to extract parameters from command-line and included files
const char * | get_short_opt ()

## Detailed Description

contains routing in charge of the command-line and included files parsing

Definition in file command_line.hpp.